Create scene in collection
Create a new scene within a specific collection.
This endpoint creates a scene with the specified metadata and assigns it to the given collection.
Use cases:
- Adding new scenes to a project or team collection
- Automating scene creation for workflows
- Integrating with external tools to populate collections
Authorization
apiKey AuthorizationBearer <token>
The API will use the Authorization: Bearer <your-key> header for requests.
In: header
Path Parameters
collectionId*string
Request Body
application/json
name*string
Length
1 <= lengthpinned?boolean
[key: string]?never
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.excalidraw.com/api/v1/collections/string/scenes" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{
"metadata": {
"workspace": "string",
"name": "string",
"created": "string",
"updated": "string",
"previewUrl": "string",
"previewFilename": "string",
"previewBackground": "string",
"isDeleted": true,
"creator": "string",
"updater": "string",
"sceneVersion": "string",
"lastAcknowledgedVersion": -9007199254740991,
"linkSharing": 0,
"collection": "string",
"updateCount": 0,
"revisionCount": 0,
"lastRevision": "string",
"totalElements": 0,
"deletedElements": 0,
"pinned": true,
"hasNonDeletedFrames": true,
"isWelcomeScene": true,
"id": "string"
},
"readOnlyLinks": [
{
"id": "string",
"scene": "string",
"workspace": "string",
"created": "string",
"updated": "string",
"updatedBy": "string",
"creator": "string",
"preview": "string",
"previewPath": "string",
"type": "readonly",
"status": "active",
"name": "string",
"data": {
"showTitle": true,
"showMenu": true,
"darkMode": true,
"disableInteraction": true,
"showDarkModeToggle": true,
"showFrameOutlines": true,
"x": 0,
"y": 0,
"width": 0,
"height": 0
}
}
],
"sharedSlidesLinks": [
{
"id": "string",
"scene": "string",
"workspace": "string",
"created": "string",
"updated": "string",
"updatedBy": "string",
"creator": "string",
"preview": "string",
"previewPath": "string",
"isActive": true,
"type": "slides",
"data": {
"name": "string",
"showSlideTitle": true,
"animateSlides": true,
"disallowDownload": true,
"autoPlaySlides": 100
}
}
]
}{
"statusCode": 400,
"error": "Bad Request",
"message": "string"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "string"
}{
"statusCode": 403,
"error": "Forbidden",
"message": "string"
}{
"statusCode": 404,
"error": "Not Found",
"message": "string"
}